org.apache.felix.deployment.rp.autoconf

## Class Activator

- java.lang.Object
- - org.apache.felix.dm.DependencyActivatorBase
  - - org.apache.felix.deployment.rp.autoconf.Activator

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class Activator
    extends org.apache.felix.dm.DependencyActivatorBase

Bundle activator for the AutoConf Resource Processor Customizer bundle

### Constructor Summary

Constructors
Constructor and Description
`Activator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `destroy(org.osgi.framework.BundleContext context, org.apache.felix.dm.DependencyManager manager)`
`void` `init(org.osgi.framework.BundleContext context, org.apache.felix.dm.DependencyManager manager)`

### Methods inherited from class org.apache.felix.dm.DependencyActivatorBase

`createAdapterService, createAdapterService, createAdapterService, createAdapterService, createAdapterService, createAdapterService, createAspectService, createAspectService, createAspectService, createAspectService, createBundleAdapterService, createBundleAdapterService, createBundleDependency, createComponent, createConfigurationDependency, createFactoryConfigurationAdapterService, createFactoryConfigurationAdapterService, createFactoryConfigurationAdapterService, createPropertyMetaData, createResourceAdapter, createResourceAdapter, createResourceAdapter, createResourceAdapter, createResourceDependency, createServiceDependency, createTemporalServiceDependency, getBundleContext, getDependencyManager, getLogger, start, stop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Activator

    public Activator()

### Method Detail

#### init

    public void init(org.osgi.framework.BundleContext context,
                     org.apache.felix.dm.DependencyManager manager)
              throws Exception

Specified by:
  `init` in class `org.apache.felix.dm.DependencyActivatorBase`
Throws:
  `Exception`

#### destroy

    public void destroy(org.osgi.framework.BundleContext context,
                        org.apache.felix.dm.DependencyManager manager)
                 throws Exception

Overrides:
  `destroy` in class `org.apache.felix.dm.DependencyActivatorBase`
Throws:
  `Exception`